
#include <Array.au3>
#include <_File.au3>

; Example 1 Display folder and files.
$Source = _OpenFileFolderDialog("Display Folders And Files", "Check one or more folders or files.")
_ArrayDisplay($Source, 'Files/Folders')

; Example 2 Display folders only.
$Source = _OpenFileFolderDialog("Display Folders Only", "Check one or more folders.", 1)
_ArrayDisplay($Source, 'Files/Folders')

; Example 3 using _OpenFileFolderDialog() as a child window.  If you press select button you will see two windows on your
; taskbar.  If you add checkmark and then press select button you will see only one windows on your taskbar.

#include <GUIConstants.au3>
Local $iParent
; == GUI generated with Koda ==
$Form1 = GUICreate("AForm1", 227, 78, 192, 125)
$Checkbox1 = GUICtrlCreateCheckbox("OpenFileFolderDialog as a child window.", 8, 16, 209, 17)
$Button1 = GUICtrlCreateButton("Select", 8, 48, 75, 25, 0)
$Button2 = GUICtrlCreateButton("Close", 144, 48, 75, 25, 0)
GUISetState(@SW_SHOW)

While 1
	$msg = GuiGetMsg()
	Switch $msg
	Case $GUI_EVENT_CLOSE, $Button2
		ExitLoop
	Case $Button1
		If BitAND(GUICtrlRead($Checkbox1), $GUI_CHECKED) = $GUI_CHECKED Then
			$Title = 'Only One Window In Taskbar'
		Else
			$Title = 'Two Windows In Taskbar'
		EndIf
		$Source = _OpenFileFolderDialog($Title, "Check one or more folders or files.", -1, $iParent)
		_ArrayDisplay($Source, 'Files/Folders')
	Case $Checkbox1
		If BitAND(GUICtrlRead($Checkbox1), $GUI_CHECKED) = $GUI_CHECKED Then
			$iParent = $Form1
		Else
			$iParent = ''
		EndIf
	Case Else
		;;;;;;;
	EndSwitch
WEnd
Exit
